Skip to main content
`Ctrl`+`K`

# PetscSpaceCreateSubspace

creates a subspace from a an `origSpace` and its dual `dualSubspace`

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceCreateSubspace(PetscSpace origSpace, PetscDualSpace dualSubspace, PetscReal *x, PetscReal *Jx, PetscReal *u, PetscReal *Ju, PetscCopyMode copymode, PetscSpace *subspace)

## Input Parameters

- origSpace - the original `PetscSpace`

- dualSubspace - no idea

- x - no idea

- Jx - no idea

- u - no idea

- Ju - no idea

- copymode - whether to copy, borrow, or own some of the input arrays I guess

## Output Parameter

- subspace - the subspace

## See Also

`PetscSpace`, `PetscDualSpace`, `PetscCopyMode`, `PetscSpaceType`

## Level

advanced

## Location

src/dm/dt/space/impls/subspace/spacesubspace.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages